nxt

## Class CurrencyBuyOffer

- java.lang.Object
- - nxt.CurrencyExchangeOffer
  - - nxt.CurrencyBuyOffer

-     public final class CurrencyBuyOffer
      extends CurrencyExchangeOffer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.CurrencyExchangeOffer

      `CurrencyExchangeOffer.AvailableOffers`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DbIterator<CurrencyBuyOffer>` | `getAccountOffers(long accountId, boolean availableOnly, int from, int to)`
    `static DbIterator<CurrencyBuyOffer>` | `getAll(int from, int to)`
    `static int` | `getCount()`
    `CurrencySellOffer` | `getCounterOffer()`
    `static DbIterator<CurrencyBuyOffer>` | `getCurrencyOffers(long currencyId, boolean availableOnly, int from, int to)`
    `static CurrencyBuyOffer` | `getOffer(Currency currency, Account account)`
    `static CurrencyBuyOffer` | `getOffer(long offerId)`
    `static CurrencyBuyOffer` | `getOffer(long currencyId, long accountId)`
    `static DbIterator<CurrencyBuyOffer>` | `getOffers(Currency currency, int from, int to)`
    `static DbIterator<CurrencyBuyOffer>` | `getOffers(DbClause dbClause, int from, int to)`
    `static DbIterator<CurrencyBuyOffer>` | `getOffers(DbClause dbClause, int from, int to, java.lang.String sort)`

    - ### Methods inherited from class nxt.CurrencyExchangeOffer

      `getAccountId, getAvailableToBuy, getAvailableToSell, getCurrencyId, getExpirationHeight, getHeight, getId, getLimit, getRateNQT, getSupply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCount

          public static int getCount()

    - #### getOffer

          public static CurrencyBuyOffer getOffer(long offerId)

    - #### getAll

          public static DbIterator<CurrencyBuyOffer> getAll(int from,
                                                            int to)

    - #### getOffers

          public static DbIterator<CurrencyBuyOffer> getOffers(Currency currency,
                                                               int from,
                                                               int to)

    - #### getCurrencyOffers

          public static DbIterator<CurrencyBuyOffer> getCurrencyOffers(long currencyId,
                                                                       boolean availableOnly,
                                                                       int from,
                                                                       int to)

    - #### getAccountOffers

          public static DbIterator<CurrencyBuyOffer> getAccountOffers(long accountId,
                                                                      boolean availableOnly,
                                                                      int from,
                                                                      int to)

    - #### getOffer

          public static CurrencyBuyOffer getOffer(Currency currency,
                                                  Account account)

    - #### getOffer

          public static CurrencyBuyOffer getOffer(long currencyId,
                                                  long accountId)

    - #### getOffers

          public static DbIterator<CurrencyBuyOffer> getOffers(DbClause dbClause,
                                                               int from,
                                                               int to)

    - #### getOffers

          public static DbIterator<CurrencyBuyOffer> getOffers(DbClause dbClause,
                                                               int from,
                                                               int to,
                                                               java.lang.String sort)

    - #### getCounterOffer

          public CurrencySellOffer getCounterOffer()

      Specified by:
        `getCounterOffer` in class `CurrencyExchangeOffer`